import React from 'react';
import ReactDOM from 'react-dom';
import TestUtils from 'react-addons-test-utils';
import purebem from 'purebem';

import DropdownActionOption from './DropdownActionOption';


const TestDropdownActionOption = DropdownActionOption({
    block: purebem.of('test-dropdown'),
    displayName: 'TestDropdownActionOption'
});

describe('TestDropdownActionOption', () => {

    it('should perform action when clicked', () => {
        let wasClicked = false;

        const option = TestUtils.renderIntoDocument(
            <TestDropdownActionOption
                onClick={ () => wasClicked = true } />
        );

        const node = ReactDOM.findDOMNode(option);
        TestUtils.Simulate.click(node);

        expect(wasClicked).toBeTruthy();
    });

    it('should not perform action when clicked and disabled', () => {
        let wasClicked = false;

        const option = TestUtils.renderIntoDocument(
            <TestDropdownActionOption
                disabled={ true }
                onClick={ () => wasClicked = true } />
        );

        const node = ReactDOM.findDOMNode(option);
        TestUtils.Simulate.click(node);

        expect(wasClicked).toBeFalsy();
    });

});
