import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import { Link } from 'react-router';


export default ({
    block,
    displayName
} = {}) => {

    return React.createClass({

        displayName,

        mixins: [PureRenderMixin],

        propTypes: {
            disabled: PropTypes.bool,
            highlighted: PropTypes.bool,
            selected: PropTypes.bool,
            text: PropTypes.string,
            to: PropTypes.oneOfType([PropTypes.object, PropTypes.string])
        },

        getDefaultProps() {
            return {
                disabled: false,
                highlighted: false,
                selected: false,
                text: '',
                to: ''
            };
        },

        onClick(evt) {
            if (this.props.disabled) {
                evt.preventDefault();
            }
        },

        render() {
            const { disabled, highlighted, selected, text, to } = this.props;
            return (
                <Link
                    className={ block('option', { disabled, highlighted, selected }) }
                    onClick={ this.onClick }
                    title={ text }
                    to={ to }>
                    { text }
                </Link>
            );
        }

    });

};
