import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';


export default ({
    block,
    displayName
} = {}) => {

    return React.createClass({

        displayName,

        mixins: [PureRenderMixin],

        propTypes: {
            disabled: PropTypes.bool,
            highlighted: PropTypes.bool,
            onChange: PropTypes.func,
            selected: PropTypes.bool,
            text: PropTypes.string
        },

        getDefaultProps() {
            return {
                disabled: false,
                highlighted: false,
                onChange: () => {},
                selected: false,
                text: ''
            };
        },

        onClick() {
            const { disabled, onChange, selected } = this.props;
            if (disabled || selected) {
                return;
            }

            onChange();
        },

        render() {
            const { disabled, highlighted, selected, text } = this.props;
            return (
                <div
                    className={ block('option', { disabled, highlighted, selected }) }
                    onClick={ this.onClick }>
                    { text }
                </div>
            );
        }

    });

};
