import lolex from 'lolex';
import test from 'tape';

import messageShow from './messageShow';

import createStore from '../../../test-utils/createStore';


test('can show message', (t) => {
    const clock = lolex.install();

    const store = createStore();
    const action = messageShow('billogram');

    store.dispatch(action);

    const state = store.getState().messages;
    t.is(state.entries.length, 1, 'should have one entry only');

    const entry = state.entries[0];

    t.is(entry.text, 'billogram', 'should have text');

    clock.uninstall();

    t.end();
});
